import { EmptyTransport } from '@midwayjs/logger';
import { SSEStream } from './core';
import { MagicProvide } from './magic.provide';
export declare class CustomTransport extends EmptyTransport {
    magicLog: MagicLog;
    constructor(opts: any & {
        magicLog: MagicLog;
    });
    log(info: any, callback: any): void;
}
export declare class MagicLog implements MagicProvide {
    private magicLogger;
    private bullLogger;
    private streams;
    init(): Promise<void>;
    sendLog(log: string | any): void;
    addStream(stream: SSEStream): void;
    removeStream(stream: SSEStream): void;
}
